%define module_name 	paramiko

Summary: 	SSH2 protocol for Python
Name: 		python-%module_name
Version: 	1.7.7.1
Release: 	%mkrel 2
Url: 		http://www.lag.net/paramiko/
License: 	LGPLv2+
Group: 		Development/Python
Source: 	http://www.lag.net/paramiko/download/%{module_name}-%{version}.tar.gz

Requires:   pycrypto
Obsoletes:  %{module_name}
Provides:   %{module_name}
BuildRequires:	python-devel
BuildRequires:	pycrypto >= 2.1
BuildArch:	noarch

%description
Paramiko is a module for python that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines.  the module works
by taking a socket-like object that you pass in, negotiating with the remote
server, authenticating (using a password or a given private key), and opening
flow-controled "channels" to the server, which are returned as socket-like
objects. you are responsible for verifying that the server's host key is the
one you expected to see, and you have control over which kinds of encryption
or hashing you prefer (if you care), but all of the heavy lifting is done by
the paramiko module.

%prep
%setup -q -n %module_name-%version

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

#%check
#python test.py

%files
%doc docs PKG-INFO README tests demo*
%py_puresitedir/*.egg-info
%py_puresitedir/%module_name






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.7.7.1-2.mga3
+ Revision: 379224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 1.7.7.1-1.mga2
+ Revision: 144543
- new version 1.7.7.1

* Sun Jan 23 2011 ennael <ennael> 1.7.6-2.mga1
+ Revision: 35590
- imported package python-paramiko

